# Uses of Interface
org.apache.solr.common.IteratorWriter.ItemWriter

Packages that use IteratorWriter.ItemWriter
Package
Description
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of IteratorWriter.ItemWriter in org.apache.solr.common

Methods in org.apache.solr.common that return IteratorWriter.ItemWriter
Modifier and Type
Method
Description
`default IteratorWriter.ItemWriter`
IteratorWriter.ItemWriter.`add(boolean v)`
`default IteratorWriter.ItemWriter`
IteratorWriter.ItemWriter.`add(double v)`
`default IteratorWriter.ItemWriter`
IteratorWriter.ItemWriter.`add(float v)`
`default IteratorWriter.ItemWriter`
IteratorWriter.ItemWriter.`add(int v)`
`default IteratorWriter.ItemWriter`
IteratorWriter.ItemWriter.`add(long v)`
`IteratorWriter.ItemWriter`
IteratorWriter.ItemWriter.`add(Object o)`
The item could be any supported type
`default IteratorWriter.ItemWriter`
IteratorWriter.ItemWriter.`addNoEx(Object o)`
Methods in org.apache.solr.common with parameters of type IteratorWriter.ItemWriter
Modifier and Type
Method
Description
`void`
IteratorWriter.`writeIter(IteratorWriter.ItemWriter iw)`

## Uses of IteratorWriter.ItemWriter in org.apache.solr.common.util

Fields in org.apache.solr.common.util declared as IteratorWriter.ItemWriter
Modifier and Type
Field
Description
`final IteratorWriter.ItemWriter`
JavaBinCodec.`itemWriter`